// Package mysql...
//
// Description : 数据定义
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 2021-03-01 9:27 下午
package mysql

import (
	"git.zhangdeman.cn/zhangdeman/logger"
	"go.uber.org/zap/zapcore"
)

// DBConfig 数据库连接的配置
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 9:32 下午 2021/3/1
type DBConfig struct {
	Host       string     `json:"host" yaml:"host"`             // 主机
	Port       int        `json:"port" yaml:"port"`             // 端口
	Database   string     `json:"database" yaml:"database"`     // 数据库
	Username   string     `json:"username"  yaml:"username"`    // 账号
	Password   string     `json:"password" yaml:"password"`     // 密码
	Charset    string     `json:"charset" yaml:"charset"`       // 编码
	Connection Connection `json:"connection" yaml:"connection"` // 连接数量配置
}

// Connection 连接数配置
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 19:05 2022/6/5
type Connection struct {
	MaxOpen int `json:"max_open" yaml:"max_open"` // 打开的最大连接数
	MaxIdle int `json:"max_idle" yaml:"max_idle"` // 最大空闲连接数
}

// LogConfig 日志配置
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 10:51 下午 2021/3/1
type LogConfig struct {
	Level            zapcore.Level
	ConsoleOutput    bool
	Encoder          zapcore.Encoder
	SplitConfig      *logger.RotateLogConfig
	ExtractFieldList []string
	TraceFieldName   string
	Skip             int
}
